Skip to main content
PATCH
/
exchange-rate-periods
/
{id}
Update an exchange rate period
curl --request PATCH \
  --url https://www.ruddr.io/api/workspace/exchange-rate-periods/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "rate": 123,
  "fromCurrency": "<string>",
  "toCurrency": "<string>",
  "start": "2023-12-25",
  "end": "2023-12-25"
}
'
import requests

url = "https://www.ruddr.io/api/workspace/exchange-rate-periods/{id}"

payload = {
    "rate": 123,
    "fromCurrency": "<string>",
    "toCurrency": "<string>",
    "start": "2023-12-25",
    "end": "2023-12-25"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    rate: 123,
    fromCurrency: '<string>',
    toCurrency: '<string>',
    start: '2023-12-25',
    end: '2023-12-25'
  })
};

fetch('https://www.ruddr.io/api/workspace/exchange-rate-periods/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "id": "a9f3c278-5e14-4b8d-92a6-d1e0f4b73c58", "fromCurrency": "GBP", "toCurrency": "EUR", "start": "2026-07-01", "end": "2026-12-31", "rate": 1.172, "createdAt": "2026-05-20T14:37:51.083Z" }
A custom exchange rate for a specific date range, overriding the default workspace exchange rates.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The exchange rate period uuid.

Body

application/json
rate
number
required

The exchange rate applied when converting from fromCurrency to toCurrency.

fromCurrency
string

The 3-letter ISO 4217 currency code for the source currency.

toCurrency
string

The 3-letter ISO 4217 currency code for the target currency. Must differ from fromCurrency.

start
string<date>

The start date for the period (YYYY-MM-DD).

end
string<date>

The end date for the period (YYYY-MM-DD). Must come on or after start.

Response

200

id
string

The unique identifier for the object.

fromCurrency
string

The 3-letter ISO 4217 currency code for the source currency.

toCurrency
string

The 3-letter ISO 4217 currency code for the target currency.

start
string<date>

The start date for the period. Will be in the form YYYY-MM-DD.

end
string<date>

The end date for the period. Will be in the form YYYY-MM-DD.

rate
number

The exchange rate applied when converting from fromCurrency to toCurrency.

createdAt
string<date-time>

The timestamp when the object was created.